#!/usr/bin/evn python3

from setuptools import setup

setup(
    name='cb_dba',
    version='0.0.1',
    description='A pip-installable collection of CarbonBlack packages which the DBA team uses',
    license='MIT',
    packages=['cb_dba'],
    author='Caleb Todd',
    author_email='caleb.todd@broadcom.com',
    keywords=['dba module'],
    url='https://github.gwd.broadcom.net/SED/cb-dba-common-cbpy',
    install_requires=[
        "boto3",
        "botocore",
        "google-cloud-resource-manager",
        "google-cloud-secret-manager",
        "parse",
        "PyYAML",
        "requests",
        "rich",
        "typer",
        "typing_extensions",
        ## to work around google sdk issues
        "grpcio==1.64.1",
        "proto-plus==1.24.0.dev1",
    ],
)
